/* Target Galaxy A13 specifically */
@media screen and (width: 720px) and (height: 1600px) {
  /* Your fixes here */
   .Double_Doc_Mobile {
        display: block !important;
        position: fixed !important;
        top: 9rem !important;
        right: 2.2rem !important;
        background-color: transparent;
        padding: 10px;
        z-index: 9999999999999;
    }
  
  		  .LoginBtn {
			position: relative;
	  top: 4rem; left: 1rem;
	  }


}

@media (max-width: 768px) {
    .Thumbs {
        width: 300px;
        font-size: 18px;
        text-align: center;
    }

  
   		  .LoginBtn {
			position: relative;
	  top: 4rem; left: 1rem;
	  }

  
.Acc {
    font-size: 2em; cursor: pointer;
}

.sr-only {
    position: absolute;
    width: 0rem !important;
    height: 0rem !important;
    color: transparent;
    font-size: 0px; right: 20%;
}

 .SemantIAimg {
        position: relative !important;
        display: block !important;
        left: 50% !important;
        transform: translateX(-85%) !important;
        z-index: 9;
    }

#MM-toggleButton {
    transform: translateX(-85%) !important; left: 50% !important;
}

.signature-row {
    position: relative;
    text-align: center;
}

.signature_names {
    display: inline-block;
    margin: 0 0.5rem;
    font-size: 0.6em;
    color: #333;
}

    main {
        max-width: 35rem !important;
        margin: 2rem auto;
        padding: 0 2rem;
    }

    .dropdown-wrapper-Doc {
        position: fixed;
        width: 100%;
        max-width: 35rem;
        margin-bottom: 1rem;
        font-size: 1.5rem;
    }
    
    .Council_Logo {
        position: relative;
        left: 50%;
        transform: translate(-95%);
        width: 60px;
        height: 140px;
    }
    
    .Council_Logo_Small_DoubleA {
        position: relative;
        left: 50%;
        transform: translate(-95%);
        width: 110px;
        height: 100px;
    }
    
    .MobileDDList {
        position: relative;
        overflow: scroll;
    }
    
    .dropdown-list {
        position: relative !important;
        overflow: scroll !important;
        max-width: 4em;
        top: -1rem !important;
        left: -3rem !important;
        height: fit-content !important;
        max-height: 300px !important;
    }

        .dropdown-list2 {
        position: absolute !important;
        overflow: scroll !important;
        max-width: fit-content !important;
        top: 4.6rem !important;
        left: 0rem !important;
        height: fit-content !important;
        max-height: 300px !important; background-color: whitesmoke;
        z-index: 9999999 !important; border-style: ridge; border-width: 1px; border-color: black; border-radius: 5%;
    }
    
.dropdown-header2 {
    display: flex;
    justify-content: space-between;
    align-items: center; font-size: 1.5em;
    padding: 0.75rem 1rem;
    cursor: pointer;
    transition: all 0.2s ease;
}

    .Double_Doc_Mobile {
        display: block !important;
        position: fixed !important;
        top: 9rem !important;
        right: 2.2rem !important;
        background-color: transparent;
        padding: 10px;
        z-index: 9999999999999;
    }
    
    .Double_Doc_desk {
        display: none;
    }
    
    .banner h3 {
        position: relative;
        padding-left: 0%;
        text-align: center;
        width: 100%;
    }
    
    header h1 {
        position: relative;
        font-size: 1.75rem;
        margin-bottom: 0.5rem;
        text-align: center;
    }
    
    .banner {
        padding: 0%;
    }
    
    button {
        font-size: 0.60rem !important;
        padding: 0.6rem 0.3rem !important;
    }
    .doc-select {
    display: block !important; position: relative !important; right: 0px; width: fit-content !important;
    }
    .accessibility-toolbar {
        padding: 1rem; z-index: 9999;
    }
    
    .document-content {
        padding: 1.5rem;
    }
    
    main {
        padding: 0 1rem;
    }
    
    button {
        padding: 0.5rem 1rem;
        font-size: 0.85rem;
    }
    
    .shortcuts-content {
        padding: 1.5rem;
        z-index: 99999999;
    }
    
    .seal-modal-content {
        padding: 2rem;
        height: 24rem;
        width: 20rem;
        overflow-y: auto;
        position: relative;
        top: 4rem;
    }
    
    .seal-modal-close {    
        position: absolute;
        top: 1rem;
        left: 1rem;
        background: var(--accent-color);
        color: white;
        border: none;
        width: 7rem !important;
        height: 5rem !important;
        border-radius: 50% !important;
        cursor: pointer;
        font-size: 2rem !important;
        text-align: center !important;
    }
	  
	     
    .SemantIAimg {
        position: relative;
        display: block;
    }
    
    .SealT2 {
        display: block;
        position: relative;
        top: -1rem;
        left: 50%;
        transform: translateX(-50%);
        background: url("/Media/Graphics/Sceau_officiel-Etat-0001.webp") center/cover no-repeat;
        width: 180px;
        height: 180px;
        cursor: pointer;
        border-radius: 90px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.45);
        transition: box-shadow 0.3s ease;
        z-index: 9999;
    }
    
    #UnderConstruction {
        position: absolute;
        top: 1rem;
        background: url("/Media/Graphics/Construct.webp") center/cover no-repeat;
        width: 230px;
        height: 150px;
        cursor: pointer;
        border-radius: 90px;
    }
    
    .tab-navigation {
        gap: 5px;
        margin: 15px 0;
    }
    
    .tab-navigation .tab {
        padding: 10px 16px;
    }
    
    .tab-content {
        padding: 15px;
    }
}

/* Opera - 1080 × 2408 Portrait Resolution */
@media (width: 1080px) and (height: 2408px) and (orientation: portrait) {
    @supports (-o-background-size: cover) {
        .SemantIAimg {
            margin: 0px !important;
            left: 6px !important;
            top: 5px !important;
        }
        
        main {
            max-width: 100%;
            margin: 2.5rem 1.5rem;
            padding: 0 1.25rem;
        }

        .DeskTopScroll {
            font-size: 3.5rem !important;
            position: fixed !important;
            top: 10px !important;
            right: 10px !important;
        }
        
        .MainDropDownList {
            position: relative !important;
            top: 85px !important;
        }
        
        .share-container {
            display: block;
        }
    }
}

/* Opera - 2408 × 1080 Landscape Resolution */
@media (width: 2408px) and (height: 1080px) and (orientation: landscape) {
    @supports (-o-background-size: cover) {
        .SemantIAimg {
            margin: 0px !important;
            left: 9px !important;
            top: 6px !important;
        }
        
        main {
            max-width: 100%;
            margin: 2rem 4rem;
            padding: 0 2rem;
        }
 		  .LoginBtn {
			position: relative;
	  top: 0rem; left: 4rem;
	  }
		  
	  
	  

        .DeskTopScroll {
            font-size: 4.5rem !important;
            position: fixed !important;
            top: 10px !important;
            right: 10px !important;
        }
        
        .MainDropDownList {
            position: relative !important;
            top: 95px !important;
        }
        
        .share-container {
            display: block;
        }
    }
}

@media (max-width: 768px) and (orientation: landscape) {
    .Double_Doc_Mobile {
        display: block;
        overflow: scroll;
        height: 320px;
        position: fixed;
        top: -1.5rem !important;
        right: -2.5rem;
        width: fit-content;
        background-color: transparent;
        font-size: 35px;
        padding: 10px;
        z-index: 9999999999999;
    }
    

    .dropdown-list {
        position: relative !important;
        overflow: scroll !important;
        max-width: 4em;
        top: -1rem !important;
        left: -4rem !important;
        height: fit-content !important;
        max-height: 250px !important;
    }
    

    header h1 {
        font-size: 1.5rem;
        margin-bottom: 0.3rem;
    }
    
    .SemantIAimg {
        position: relative;
        display: block;
        left: 50%;
        transform: translateX(-50%);
    }
    
	
 		  .LoginBtn {
			position: relative;
	  top: 0rem; left: 4rem;
	  }
		  
	
    .SealT2 {
        display: block;
        position: relative;
        top: 0rem;
        left: 50%;
        transform: translateX(-50%);
        background: url("/Media/Graphics/Sceau_officiel-Etat-0001.webp") center/cover no-repeat;
        width: 180px;
        height: 180px;
        cursor: pointer;
        border-radius: 90px;
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.45);
        transition: box-shadow 0.3s ease;
        z-index: 9;
    }
    
    button {
        font-size: 0.55rem !important;
        padding: 0.4rem 1.3rem !important;
    }
    
    .doc-select {
    display: block !important; position: relative !important; width: 100% !important; right: 0px;
    }

    .toolbar-section {
        gap: 0.3rem;
    }
    
    .accessibility-toolbar.active {
        padding: 0.75rem 1rem;
        gap: 0.5rem;
    }
    
    .document-content {
        padding: 1.25rem;
    }
    
    main {
        margin: 1rem auto;
    }
    
    .shortcuts-content {
        max-height: 70vh;
        padding: 1.25rem;
    }
    
    .seal-modal-close {
        position: absolute;
        top: 4rem;
        left: 30rem;
        background: var(--accent-color);
        color: white;
        border: none;
        width: 10rem!important;
        height: 10rem !important;
        border-radius: 50% !important;
        cursor: pointer;
        font-size: 2rem !important;
        text-align: center !important;
        padding: 10px !important; 
    }
    .seal-modal-content {
        position: absolute;
        padding: 2rem;
        height: 24rem;
        width: 100%;
        overflow-y: auto;
        top: 0rem;
        left: 0rem;
    }

    .tab-navigation .tab {
        padding: 8px 12px;
        font-size: 0.85rem;
    }
    
    .tab-content {
        padding: 12px;
    }
}

@media (max-width: 480px) {
    .LogoContainer {
        gap: 1rem;
    }
    
    .ImageFlagText {
        max-width: 80px;
    }
    
    .OliveBranch {
        max-width: 120px;
    }
	 		  .LoginBtn {
			position: relative;
	  top: 0rem; left: 4rem;
	  }
		  
	  
}

/* Responsive adjustments */
@media (max-width: 768px) {

.document-content h2 {
    color: var(--heading-color);
    font-size: 1.6em;
    margin: 2rem 0 1rem 0;
    line-height: 1.3;
    text-align: center;
}

.org-name-Declaration {
    font-weight: bold;
    font-size: 2rem !important;
    margin: 0 !important;
}

		  
	  		  .LoginBtn {
			position: relative;
	  top: 0rem; left: 4rem;
	  }
		  
.Declaration-Text-Footer-Div {
    justify-content: center;
    padding-top: 100px;
    position: relative; bottom: -85px;
}
.theBump {
    width: 100% !important; overflow-wrap: normal !important; font-size: 2em !important;
}

.CurrentDocument {
    position: sticky; left: 0rem; top: 0rem; z-index: 999; color: white;
    background-color: rgba(45, 70, 103, 0.9); display: block !important;
    padding-left: 1rem; padding-right: 2rem; 
    border-radius: 5px; font-size: 0.7em; text-align: left;
}


.ImageFlagText-Declaration {
    position: relative;
    left: 50%;
    transform: translateX(-50%); text-align: center;
    max-width: 450px !important;
    width: 100%;
}


body {
    font-size: 1em !important; /* ⚠️ NOTE: Base size for Mini accessibility */
}

body.font-small {
    font-size: 0.8em !important;
}

body.font-large {
    font-size: 1.3em !important;
}

body.font-xlarge {
    font-size: 1.5em !important;
}

    .seal-modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.8);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 99999;
    padding: 2rem; padding-top: 17rem !important;
}

  .history-table {
    font-size: 13px;
  }
  
  .history-table th,
  .history-table td {
    padding: 8px 10px;
  }
  
  /* Allow text wrapping on mobile for some columns */
  .history-table th:nth-child(3),
  .history-table td:nth-child(3),
  .history-table th:nth-child(4),
  .history-table td:nth-child(4),
  .history-table th:nth-child(6),
  .history-table td:nth-child(6) {
    white-space: normal;
    min-width: 150px;
  }
}

/* Desktop: keep headers visible while scrolling */
@media (min-width: 769px) {
  .table-container {
    max-height: 500px;
    overflow-y: hidden;
  }
		
		  		  .LoginBtn {
			position: relative;
	  top: 4rem; left: 1rem;
	  }
		
}
